Description

Under Settings -> Options -> GDAL is a list of all installed raster drivers, which can be unchecked if necessary.

I suggest to create a similar list for the installed OGR vector drivers. Many people do not know the difference between GDAL and OGR,

and the list does not tell them that only raster drivers are listed.

It would be nice to see whether exotic drivers like ESRI FileGDB are installed properly.

Related issues:

Related to QGIS Application - Feature request # 12101: Try user-selected GDAL... Open 2015-01-30

History

#1 - 2014-05-20 11:43 AM - aperi2007 -

Hi,

GDAL has a plan to unify the gdal and ogr.

So this could be unuseful.

http://lists.osgeo.org/pipermail/gdal-dev/2014-May/039148.html

#2 - 2014-05-20 06:19 PM - Etienne Tourigny

sure, but don't expect this too soon in gdal stable

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2015-01-30 03:40 PM - Larry Shaffer

aperi2007 - wrote:

GDAL has a plan to unify the gdal and ogr.

So this could be unuseful.

http://lists.osgeo.org/pipermail/gdal-dev/2014-May/039148.html

Not sure this is relevant to not adding another tab to help define loaded drivers. Even after unification, couldn't GDAL and OGR tabs just become Raster

and Vector? I mean, we wouldn't want to have one big list widget of raster and vector formats mixed together, correct?
Maybe when another tab is added for OGR, the tabs become Raster and Vector anyways, regardless of any code unification?

Having control over the loaded OGR/Vector drivers is important for similar reasons to having the GDAL driver control.

Example: FileGDB and OpenFileGDB can both open files with .gdb extension, but if your .gdb file is version 9.x, FileGDB will attempt (and fail, because

that version is unsupported) to load the file. Only removing the FileGDB plugin or using OGR_SKIP prior to launching QGIS will help fix the issue, and allow

OpenFileGDB to try opening the file.

#5 - 2015-02-01 06:43 AM - Andre Joost

+1 from me for "Raster drivers" and "Vector drivers". Both worlds are still apart, except for the PDF driver which has to deal with both.

Up to now, GDAL has only unified the wiki structure. In the stable 1.11.1 and upcoming 1.11.2 they are still separated.

#6 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
